Index: c/src/ada-tests/mptests/mp13/mptest.adb
===================================================================
--- c/src/ada-tests/mptests/mp13/mptest.adb	(revision 23848bbd80f00aa8e271322f19871c0ba1366803)
+++ c/src/ada-tests/mptests/mp13/mptest.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -23,4 +23,7 @@
 with INTERFACES; use INTERFACES;
 with RTEMS;
+with RTEMS.MESSAGE_QUEUE;
+with RTEMS.SEMAPHORE;
+with RTEMS.TASKS;
 with TEST_SUPPORT;
 with TEXT_IO;
@@ -29,5 +32,4 @@
 package body MPTEST is
 
---PAGE
 --
 --  INIT
@@ -35,5 +37,5 @@
 
    procedure INIT (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       STATUS : RTEMS.STATUS_CODES;
@@ -58,5 +60,5 @@
 
          TEXT_IO.PUT_LINE( "Creating Message Queue (Global)" );
-         RTEMS.MESSAGE_QUEUE_CREATE(
+         RTEMS.MESSAGE_QUEUE.CREATE(
             MPTEST.QUEUE_NAME( 1 ),
             3,
@@ -68,5 +70,5 @@
 
          TEXT_IO.PUT_LINE( "Creating Semaphore (Global)" );
-         RTEMS.SEMAPHORE_CREATE(
+         RTEMS.SEMAPHORE.CREATE(
             MPTEST.SEMAPHORE_NAME( 1 ),
             1,
@@ -77,5 +79,5 @@
          TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "SEMAPHORE_CREATE" );
 
-         RTEMS.SEMAPHORE_OBTAIN(
+         RTEMS.SEMAPHORE.OBTAIN(
             MPTEST.SEMAPHORE_ID( 1 ),
             RTEMS.DEFAULT_OPTIONS,
@@ -88,5 +90,5 @@
 
       TEXT_IO.PUT_LINE( "Creating Test_task 1 (local)" );
-         RTEMS.TASK_CREATE(
+         RTEMS.TASKS.CREATE(
          MPTEST.TASK_NAME( 1 ),
          1,
@@ -100,5 +102,5 @@
 
       TEXT_IO.PUT_LINE( "Starting Test_task 1 (local)" );
-      RTEMS.TASK_START(
+      RTEMS.TASKS.START(
          MPTEST.TASK_ID( 1 ),
          MPTEST.TEST_TASK_1'ACCESS,
@@ -109,5 +111,5 @@
 
       TEXT_IO.PUT_LINE( "Creating Test_task 2 (local)" );
-      RTEMS.TASK_CREATE(
+      RTEMS.TASKS.CREATE(
          MPTEST.TASK_NAME( 2 ),
          1,
@@ -121,5 +123,5 @@
 
       TEXT_IO.PUT_LINE( "Starting Test_task 2 (local)" );
-      RTEMS.TASK_START(
+      RTEMS.TASKS.START(
          MPTEST.TASK_ID( 2 ),
          MPTEST.TEST_TASK_2'ACCESS,
@@ -131,5 +133,5 @@
       if TEST_SUPPORT.NODE = 1 then
 
-         RTEMS.TASK_WAKE_AFTER( 5 * TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
+         RTEMS.TASKS.WAKE_AFTER( 5 * TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
          TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_WAKE_AFTER" );
 
@@ -141,10 +143,9 @@
 
       TEXT_IO.PUT_LINE( "Deleting initialization task" );
-      RTEMS.TASK_DELETE( RTEMS.SELF, STATUS );
+      RTEMS.TASKS.DELETE( RTEMS.SELF, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_DELETE OF SELF" );
 
    end INIT;
 
---PAGE
 --
 --  TEST_TASK_1
@@ -152,5 +153,5 @@
 
    procedure TEST_TASK_1 (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       COUNT               : RTEMS.UNSIGNED32;
@@ -167,5 +168,5 @@
       loop
 
-         RTEMS.MESSAGE_QUEUE_IDENT(
+         RTEMS.MESSAGE_QUEUE.IDENT(
             MPTEST.QUEUE_NAME( 1 ),
             RTEMS.SEARCH_ALL_NODES,
@@ -181,5 +182,5 @@
 
          TEXT_IO.PUT_LINE( "Receiving message ..." );
-         RTEMS.MESSAGE_QUEUE_RECEIVE(
+         RTEMS.MESSAGE_QUEUE.RECEIVE(
             MPTEST.QUEUE_ID( 1 ),
             RECEIVE_BUFFER,
@@ -193,9 +194,9 @@
       end if;
 
-      RTEMS.TASK_WAKE_AFTER( TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
+      RTEMS.TASKS.WAKE_AFTER( TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_WAKE_AFTER" );
 
       TEXT_IO.PUT_LINE( "Receiving message ..." );
-      RTEMS.MESSAGE_QUEUE_RECEIVE(
+      RTEMS.MESSAGE_QUEUE.RECEIVE(
          MPTEST.QUEUE_ID( 1 ),
          RECEIVE_BUFFER,
@@ -220,10 +221,9 @@
 
       TEXT_IO.PUT_LINE( "Deleting self" );
-      RTEMS.TASK_DELETE( RTEMS.SELF, STATUS );
+      RTEMS.TASKS.DELETE( RTEMS.SELF, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_DELETE OF SELF" );
 
    end TEST_TASK_1;
 
---PAGE
 --
 --  TEST_TASK_2
@@ -231,5 +231,5 @@
 
    procedure TEST_TASK_2 (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       STATUS : RTEMS.STATUS_CODES;
@@ -240,5 +240,5 @@
       loop
 
-         RTEMS.SEMAPHORE_IDENT(
+         RTEMS.SEMAPHORE.IDENT(
             MPTEST.SEMAPHORE_NAME( 1 ),
             RTEMS.SEARCH_ALL_NODES,
@@ -253,16 +253,16 @@
       if TEST_SUPPORT.NODE = 1 then
 
-         RTEMS.TASK_WAKE_AFTER( TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
+         RTEMS.TASKS.WAKE_AFTER( TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
          TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_WAKE_AFTER" );
 
          TEXT_IO.PUT_LINE( "Releasing semaphore ..." );
-         RTEMS.SEMAPHORE_RELEASE( MPTEST.SEMAPHORE_ID( 1 ), STATUS );
+         RTEMS.SEMAPHORE.RELEASE( MPTEST.SEMAPHORE_ID( 1 ), STATUS );
          TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "SEMAPHORE_RELEASE" );
 
-         RTEMS.TASK_WAKE_AFTER( TEST_SUPPORT.TICKS_PER_SECOND / 2, STATUS );
+         RTEMS.TASKS.WAKE_AFTER( TEST_SUPPORT.TICKS_PER_SECOND / 2, STATUS );
          TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_WAKE_AFTER" );
 
          TEXT_IO.PUT_LINE( "Getting semaphore ..." );
-         RTEMS.SEMAPHORE_OBTAIN(
+         RTEMS.SEMAPHORE.OBTAIN(
             MPTEST.SEMAPHORE_ID( 1 ),
             RTEMS.DEFAULT_OPTIONS,
@@ -273,5 +273,5 @@
 
          TEXT_IO.PUT_LINE( "Getting semaphore ..." );
-         RTEMS.SEMAPHORE_OBTAIN(
+         RTEMS.SEMAPHORE.OBTAIN(
             MPTEST.SEMAPHORE_ID( 1 ),
             RTEMS.DEFAULT_OPTIONS,
@@ -284,9 +284,9 @@
       end if;
 
-      RTEMS.TASK_WAKE_AFTER( TEST_SUPPORT.TICKS_PER_SECOND / 2, STATUS );
+      RTEMS.TASKS.WAKE_AFTER( TEST_SUPPORT.TICKS_PER_SECOND / 2, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_WAKE_AFTER" );
 
       TEXT_IO.PUT_LINE( "Getting semaphore ..." );
-      RTEMS.SEMAPHORE_OBTAIN(
+      RTEMS.SEMAPHORE.OBTAIN(
          MPTEST.SEMAPHORE_ID( 1 ),
          RTEMS.DEFAULT_OPTIONS,
@@ -297,12 +297,12 @@
 
       TEXT_IO.PUT_LINE( "Releasing semaphore ..." );
-      RTEMS.SEMAPHORE_RELEASE( MPTEST.SEMAPHORE_ID( 1 ), STATUS );
+      RTEMS.SEMAPHORE.RELEASE( MPTEST.SEMAPHORE_ID( 1 ), STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "SEMAPHORE_RELEASE" );
 
-      RTEMS.TASK_WAKE_AFTER( TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
+      RTEMS.TASKS.WAKE_AFTER( TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_WAKE_AFTER" );
 
       TEXT_IO.PUT_LINE( "Getting semaphore ..." );
-      RTEMS.SEMAPHORE_OBTAIN(
+      RTEMS.SEMAPHORE.OBTAIN(
          MPTEST.SEMAPHORE_ID( 1 ),
          RTEMS.DEFAULT_OPTIONS,
